Skip to main content
GET
Returns a list of sources visible to the caller's organization.

Authorizations

Authorization
string
header
required

OAuth2 bearer token in the Authorization header

Query Parameters

page
integer
default:1

Page

per_page
integer
default:30

Number of entries per page

name_filter
string

Substring match on source name (case-insensitive).

status
enum<string>[]

Filter by one or more source statuses.

Available options:
INACTIVE,
PENDING,
ACTIVE,
STOPPING,
ERROR
kind
enum<string>[]

Filter by one or more source kinds.

Available options:
SRT
connection_state
enum<string>[]

Filter by one or more connection states.

Available options:
CONNECTED,
DISCONNECTED,
WAITING
tags_any
string[]

Match sources tagged with any of the given tags.

tags_all
string[]

Match sources tagged with all of the given tags.

order
enum<string>
default:CREATION
Available options:
CREATION,
ACTIVATION,
NAME_ASC,
NAME_DESC

Response

List Sources

sources
object[]

List of Sources for the current page.

page
integer

Number of current page

Example:

1

per_page
integer

Quantity of Sources to show on one page

Example:

30

page_count
integer

Total number of pages

Example:

3

total_count
integer

Total number of Sources

Example:

78